## NAME

v.mkquads - Creates a GRASS vector map layer and/or sites list and/or geographic region definition file for a USGS 7.5-minute quadrangle.
(GRASS Vector Program)

## SYNOPSIS

v.mkquads
v.mkquads help
v.mkquads [-esrvx] map=name [type=quad size]

## DESCRIPTION

There are three types of output available from the GRASS program v.mkquads:

1. a vector map of all the full USGS quadrangles that will fit within the boundaries of the current geographic region.
2. a GRASS sites list containing the corner coordinates of each of these quads.
3. GRASS geographic region definition files associated with each of the quads created.

A quad is defined as the area covered by a USGS 7.5-minute (1:24,000) map. This program is useful for managing a GRASS data base LOCATION which contains a number of quads which are to be patched together.

### Flags:

-e
  Encompass current geographic region with quads (rather than only creating those quads that lie inside of the geographic region). Use of this option will affect all output options.
-s
  Create a GRASS sites list file. The sites list will contain all the corner coordinates of all the full quads that can be built in the current geographic region. The sites list file can then be displayed using the d.sites program.
-r
  Create region file(s): quad.1 quad.2 ... The program will generate a separate geographic region definition file for each quad; each of the geographic region files created will have the prefix quad. with some number attached to it. For example, if only one quad were created, the geographic region file quad.1 would also be created in the windows directory under the user's current mapset. To make the program-generated geographic region definition file quad.1 your current geographic region setting, run the GRASS g.region program.
-v
  Create vector file (default). Only full quads will be created. The binary vector map layer output is placed under the user's dig directory and can be used like any other vector map layer. Run v.support to build the topology information for the vector map before using v.mkquads map layer outputs in the v.digit program. Since the quads are computer-generated, the corner coordinates will be exact. This simplifies digitizing if one or more quad sheets will have to be brought together for a data base, because all of the quad corner points to be joined will be guaranteed to match.
-x
  Create a GRASS registration (reg) file.

### Parameter:

map=name
  The name of a file to contain program output.
type=quad size
  options: full,third,quarter,1x1,1x2
  default: full

If the user runs v.mkquads without including program parameter value and desired flags on the command line, the program will prompt the user for the above information using the standard GRASS interface described in the manual entry for parser.

## NOTES

All output options can be used on the command line at the same time. A listing of all the quad points in latitude/longitude and projected coordinates will be displayed each time the program is executed.

## BUGS

There are no guarantees that v.mkquads will function properly if a quadrangle crosses UTM zones. This program has not been tested outside the northwest UTM quadrant.

## SEE ALSO

d.sites, g.region, v.digit, v.mkgrid, v.support and parser

## AUTHORS

Michael Higgins, U.S. Army Construction Engineering Research Laboratory
Marilyn Ruiz, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/08/20 08:10:13 $